Upload

Manage your uploads.

circle-exclamation

Create a URL for a file upload

post
/v1/upload

Creates a pre-signed URL for uploading a file to Kognitos storage for later use in a run.

Supported File Types:

The following file types are currently supported for uploading:

Image

  • .jpeg
  • .jpg
  • .png

Data

  • .txt
  • .json
  • .yml
  • .yaml
  • .csv
  • .pdf

Excel

  • .xlsx
  • .xls

Docx

  • .docx
  • .doc

HTML

  • .html
  • .htm

Email

  • .eml

ERP Document

  • .edi

Audio

  • .mp3
  • .wav
Authorizations
x-api-keystringRequired
Body
file_namestringOptional
Responses
chevron-right
201

File upload url created successfully. Note the upload_url is valid for only 5 minutes. To upload the file, make a HTTP upload_http_method request to the upload_url with the file as the body - be sure to set any required headers in upload_http_headers The file can then be passed to a run after upload by providing the blob_uri using the attachments_key parameter.

application/json
post
/v1/upload

Last updated

Was this helpful?